package com.sv.netty.netty;

/**
 * 会话中存储的对象
 *
 * @author peakren
 * @since 16/05/2017 11:09 PM
 */
public class ChannelParam {

    /**
     * 设备ip
     */
    private String clientIp;

    /**
     * 设备编号
     */
    private String deviceSn;

    /**
     * 会员编号
     */
    private Integer memberId;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 头像
     */
    private String avatar;

    public ChannelParam() {

    }

    public ChannelParam(String clientIp){
        this.clientIp = clientIp;
    }

    public ChannelParam(String clientIp, String deviceSn) {
        this.clientIp = clientIp;
        this.deviceSn = deviceSn;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
